depends = ('ITKPyBase', 'ITKThresholding', 'ITKImageIntensity', 'ITKImageGrid', )
templates = (
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS2IUL2', 'itk::Image< signed short,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS3IUL3', 'itk::Image< signed short,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS4IUL4', 'itk::Image< signed short,4 >, itk::Image< unsigned long,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC2IUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC3IUL3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC4IUL4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned long,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL2ISS2', 'itk::Image< unsigned long,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL3ISS3', 'itk::Image< unsigned long,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL4ISS4', 'itk::Image< unsigned long,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUL4IUC4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD22ISS2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD33ISS3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD44ISS4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD22IUC2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD33IUC3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD44IUC4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD22IUL2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD33IUL3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVD44IUL4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF22ISS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF33ISS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF44ISS4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF44IUC4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF22IUL2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF33IUL3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIVF44IUL4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD22ISS2', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD33ISS3', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD44ISS4', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD22IUC2', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD33IUC3', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD44IUC4', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD22IUL2', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD33IUL3', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVD44IUL4', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF22ISS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< signed short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF33ISS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< signed short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF44ISS4', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< signed short,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF44IUC4', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF22IUL2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF33IUL3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterICVF44IUL4', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS2IUL2', 'itk::Image< signed short,2 >, itk::Image< unsigned long,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS3IUL3', 'itk::Image< signed short,3 >, itk::Image< unsigned long,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS4IUL4', 'itk::Image< signed short,4 >, itk::Image< unsigned long,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC2IUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC3IUL3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC4IUL4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned long,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL2ISS2', 'itk::Image< unsigned long,2 >, itk::Image< signed short,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL3ISS3', 'itk::Image< unsigned long,3 >, itk::Image< signed short,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL4ISS4', 'itk::Image< unsigned long,4 >, itk::Image< signed short,4 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('HardConnectedComponentImageFilter', 'itk::HardConnectedComponentImageFilter', 'itkHardConnectedComponentImageFilterIUL4IUC4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned char,4 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL2ISS2', 'itk::Image< unsigned long,2 >, itk::Image< signed short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL3ISS3', 'itk::Image< unsigned long,3 >, itk::Image< signed short,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL4ISS4', 'itk::Image< unsigned long,4 >, itk::Image< signed short,4 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL4IUC4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned char,4 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterISS3', 'itk::Image< signed short,3 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterISS4', 'itk::Image< signed short,4 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUC4', 'itk::Image< unsigned char,4 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUL2', 'itk::Image< unsigned long,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUL3', 'itk::Image< unsigned long,3 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUL4', 'itk::Image< unsigned long,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD22ISS2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< signed short,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD33ISS3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< signed short,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD44ISS4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< signed short,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD22IUC2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD33IUC3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD44IUC4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD22IUL2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD33IUL3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVD44IUL4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF22ISS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< signed short,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF33ISS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< signed short,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF44ISS4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< signed short,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF44IUC4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF22IUL2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF33IUL3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterIVF44IUL4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD22ISS2', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< signed short,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD33ISS3', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< signed short,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD44ISS4', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< signed short,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD22IUC2', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD33IUC3', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD44IUC4', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD22IUL2', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD33IUL3', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVD44IUL4', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< unsigned long,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF22ISS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< signed short,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF33ISS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< signed short,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF44ISS4', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< signed short,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF44IUC4', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF22IUL2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned long,2 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF33IUL3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned long,3 >'),
  ('VectorConnectedComponentImageFilter', 'itk::VectorConnectedComponentImageFilter', 'itkVectorConnectedComponentImageFilterICVF44IUL4', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< unsigned long,4 >'),
)
