depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2IUL2', 'itk::Image< signed short,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3IUL3', 'itk::Image< signed short,3 >, itk::Image< unsigned long,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS4IUL4', 'itk::Image< signed short,4 >, itk::Image< unsigned long,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2IF2', 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3IF3', 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS4IF4', 'itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2ID2', 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3ID3', 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS4ID4', 'itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUL3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC4IUL4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned long,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC4IF4', 'itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2ID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3ID3', 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC4ID4', 'itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2ISS2', 'itk::Image< unsigned long,2 >, itk::Image< signed short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL3ISS3', 'itk::Image< unsigned long,3 >, itk::Image< signed short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL4ISS4', 'itk::Image< unsigned long,4 >, itk::Image< signed short,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL4IUC4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned char,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IF2', 'itk::Image< unsigned long,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL3IF3', 'itk::Image< unsigned long,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL4IF4', 'itk::Image< unsigned long,4 >, itk::Image< float,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2ID2', 'itk::Image< unsigned long,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL3ID3', 'itk::Image< unsigned long,3 >, itk::Image< double,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL4ID4', 'itk::Image< unsigned long,4 >, itk::Image< double,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2ISS2', 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3ISS3', 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF4ISS4', 'itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF4IUC4', 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUL3', 'itk::Image< float,3 >, itk::Image< unsigned long,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF4IUL4', 'itk::Image< float,4 >, itk::Image< unsigned long,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2ID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3ID3', 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF4ID4', 'itk::Image< float,4 >, itk::Image< double,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2ISS2', 'itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3ISS3', 'itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID4ISS4', 'itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3IUC3', 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID4IUC4', 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUL2', 'itk::Image< double,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3IUL3', 'itk::Image< double,3 >, itk::Image< unsigned long,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID4IUL4', 'itk::Image< double,4 >, itk::Image< unsigned long,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3IF3', 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID4IF4', 'itk::Image< double,4 >, itk::Image< float,4 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD22IVF22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD33IVF33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD44IVF44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD22ICVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD33ICVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD44ICVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD22ICVF22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD33ICVF33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVD44ICVF44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22IVD22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33IVD33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF44IVD44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22ICVD22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33ICVD33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF44ICVD44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22ICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33ICVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF44ICVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD22IVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD33IVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD44IVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD22IVF22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD33IVF33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD44IVF44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD22ICVF22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD33ICVF33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVD44ICVF44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22IVD22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33IVD33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF44IVD44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22IVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33IVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF44IVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22ICVD22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33ICVD33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF44ICVD44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC4IRGBUC4', 'itk::Image< itk::RGBPixel< unsigned char >,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
)
